/* This is my first C program with pointers */
 #include <stdio.h>
int b;

int main(int argc, char *argv[]) {
	int a;
	int *a_ptr, *b_ptr;
	
	a = 0;
	b = 1;
	a_ptr = &a;
	b_ptr = &b;
	printf("&a = %p, a = %d\n", &a, a);
	printf("a_ptr = %p, *a_ptr = %d\n", a_ptr, *a_ptr);
	printf("&b = %p, b = %d\n", &b, b);
	printf("b_ptr = %p, *b_ptr = %d\n", b_ptr, *b_ptr);
	/* Observe how addresses of local and global variables look */

	*b_ptr = 5;	
	printf("*b_ptr = %d, b = %d\n", *b_ptr, b);
	/* Observe that the value of b has changed to 5, because b_ptr was 
	   pointing to the memory region accommodating b */
	   
	 b_ptr = b_ptr + 1;
	 printf("b_ptr = %p\n", b_ptr);
	 /* Observe how the address in b_ptr has 
	    increased by 4 (pointer arithmetic) */
	 
	return(0);
}